import React from 'react';
import { View, Text, TouchableOpacity, StyleSheet, Image, ActivityIndicator, Dimensions } from 'react-native';
const {
  width,
  height
} = Dimensions.get('window');
const SIZES = {
  width,
  height
};
const Button1 = _ref => {
  let {
    mainStyle,
    children,
    textStyle,
    disabled,
    onPress,
    loadingIndicator,
    leftIcon
  } = _ref;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: [styles.touchbtn, mainStyle],
    activeOpacity: 0.5,
    onPress: onPress,
    disabled: disabled
  }, leftIcon && /*#__PURE__*/React.createElement(Image, {
    source: leftIcon,
    resizeMode: "contain",
    style: styles.downloadIcon
  }), loadingIndicator && /*#__PURE__*/React.createElement(ActivityIndicator, {
    size: 23,
    color: "#FFFFFF",
    style: {
      marginRight: SIZES.width * .03
    }
  }), /*#__PURE__*/React.createElement(Text, {
    style: [styles.btnText, textStyle]
  }, children));
};
export default Button1;
Button1.defaultProps = {
  children: "Button"
};
const styles = StyleSheet.create({
  touchbtn: {
    // width: SIZES.width * .9,
    height: SIZES.height * .065,
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: "#FF4B3A",
    borderRadius: 6,
    elevation: 5,
    shadowColor: "#999999",
    flexDirection: 'row'
  },
  btnText: {
    color: "#FFFFFF",
    // fontFamily: FONTS.semiBold,
    fontSize: SIZES.width * .04,
    marginBottom: -4
  },
  downloadIcon: {
    width: SIZES.width * .048,
    height: SIZES.width * .048,
    marginRight: SIZES.width * .03
  }
});
//# sourceMappingURL=index.js.map